require("LUBE.lua")
require("table_ster.lua")

function love.load()
	tablea = {}
	local ip = "127.0.0.1"
	connect(ip)
end

function connect(ip)
	client = lube.client()
	client:setHandshake("Hi!")
	client:setCallback(onReceive)
	client:connect(ip, 18025)		--82.24.82.156
end

function love.update(dt)
	if first == true then
		menu = "Please Enter The IP: "
	else
		client:update(dt)
		if love.keyboard.isDown("right") or love.keyboard.isDown("d") then
			send("d")
		elseif love.keyboard.isDown("left") or love.keyboard.isDown("a") then
			send("a")
		end

		if love.keyboard.isDown("down") or love.keyboard.isDown("s") then
			send("s")
		elseif love.keyboard.isDown("up") or love.keyboard.isDown("w") then
			send("w")
		end
	end
end

function onReceive(data)
	tablea = table.load( data )
end


function love.draw()
	for k,v in ipairs(tablea) do
		love.graphics.rectangle("fill", v.pos.x, v.pos.y, 10,10)
	end
end

function love.quit()
	client:send("quit")
end

function send(arg)
	client:send(arg)
end